# Payments API V1 The Customer Token API is used to charge customers with a tokenized payment method and can be used for recurring purchases, subscriptions and for storing a customer's payment method. Tokens are created using the [`generate a customer token`](https://docs.klarna.com/api/payments/) call in the payments API. Read more on [Klarna payments](https://docs.klarna.com/klarna-payments/). Version: 1.0.0 ## Servers ``` https://api.kustom.co ``` ## Download OpenAPI description [Payments API V1](https://docs.kustom.co/_bundle/contents/api/customer-token.yaml) ## Other ### Get customer token - [GET /customer-token/v1/tokens/{customerToken}](https://docs.kustom.co/contents/api/customer-token/other/readcustomertoken.md): Use this API request to retrieve the content of a Kustom customer token. The request will return the status of the token as well as payment method details. To learn more, refer to the Read customer tokens details article. ### Create an order with a customer token - [POST /customer-token/v1/tokens/{customerToken}/order](https://docs.kustom.co/contents/api/customer-token/other/createorder.md): Use this API call to create an order using a Kustom Customer Token. Make sure you use the correct token ID when placing an order, to ensure that the right consumer gets billed. Read more on Create a new order using the customer token. ### Update customer token status - [PATCH /customer-token/v1/tokens/{customerToken}/status](https://docs.kustom.co/contents/api/customer-token/other/patchcustomertoken.md): Use this API call to update the status of a Kustom Customer Token. This should be used if you want to cancel a specific customer token. Read more on Update the status of a customer token.